TRYTOND-ADMIN(1)

NAME
trytond-admin - Tryton Application Platform (Database Administration)

SYNOPSIS
trytond-admin

DESCRIPTION
Tryton is a high-level general purpose application platform written in Python and using PostgreSQL as database engine. It is the core base of an ERP.

This script is used for the administration tasks of the server.

OPTIONS
Usage: trytond-admin [options]

--version
    show program's version number and exit
-h, --help
    show this help message and exit
-c FILE [FILE ...], --config FILE [FILE ...]
    specify configuration files
--dev
    enable development mode (caching disabled)
-v, --verbose
    enable verbose mode
-d DATABASE [DATABASE ...], --database DATABASE [DATABASE ...]
    specify the database name
--logconf FILE
    logging configuration file (ConfigParser format)
-u MODULE [MODULE ...], --update MODULE [MODULE ...]
    activate or update a module
--all
    update all activated modules
--activate-dependencies
    activate missing dependencies of updated modules
--email EMAIL
    set the admin email
-p, --password
    set the database admin password
--reset-password
    reset the admin password
--test-email TEST_EMAIL
    send a test email to the specified address
-m, --update-modules-list
    update the list of the available tryton modules
-l CODE [CODE ...], --language CODE [CODE ...]
    load the translations for the configured language code(s) into the database
--hostname HOSTNAME
    Limit the database listing to the hostname
--validate [MODEL ...]
    validate the records of specified models
--validate-percentage PERCENTAGE
    the percentage of records to validate (default: 100)
    The first time a database is initialized the admin password is read from a file defined by the TRYTONPASSFILE environment variable or interactively asked from the user.
    The config file can be specified in the TRYTOND_CONFIG environment variable.
    The database URI can be specified in the TRYTOND_DATABASE_URI environment variable.

FILES
/etc/tryton/trytond.conf, /etc/tryton/trytond_log.conf

SEE ALSO
trytond(1), trytond-console(1), trytond-cron(1), trytond-stat(1), trytond-worker(1), tryton(1)

HOMEPAGE
More information the Tryton project can be found at <http://www.tryton.org/>.

AUTHOR
Tryton server was written by the Tryton project <http://www.tryton.org/>.
This manual page was written by Daniel Baumann <daniel@debian.org> and Mathias Behrle <mbehrle@debian.org>.